Skip to main content
POST
/
templates
/
batch
/
apply
Batch apply templates to bot
curl --request POST \
  --url https://api.helloannie.com/v1/templates/batch/apply \
  --header 'Content-Type: application/json' \
  --data '
{
  "botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "templates": [
    {
      "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "variables": {
        "office_name": "Happy Dental",
        "phone_number": {
          "value": "+15551234567",
          "createOrgVariable": true
        },
        "office_address": {
          "existingOrgVariableId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
        }
      }
    }
  ]
}
'
import requests

url = "https://api.helloannie.com/v1/templates/batch/apply"

payload = {
    "botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "templates": [
        {
            "templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "variables": {
                "office_name": "Happy Dental",
                "phone_number": {
                    "value": "+15551234567",
                    "createOrgVariable": True
                },
                "office_address": { "existingOrgVariableId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890" }
            }
        }
    ]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    botId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    templates: [
      {
        templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
        variables: {
          office_name: 'Happy Dental',
          phone_number: {value: '+15551234567', createOrgVariable: true},
          office_address: {existingOrgVariableId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'}
        }
      }
    ]
  })
};

fetch('https://api.helloannie.com/v1/templates/batch/apply', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {
    "jobId": "<string>",
    "jobType": "apply",
    "templatesQueued": 123
  }
}
{
  "success": false,
  "data": {},
  "message": "<string>"
}
{
  "success": false,
  "data": {},
  "message": "<string>"
}
{
  "success": false,
  "data": {},
  "message": "<string>"
}

Body

Request body for batch applying templates to a bot

botId
string<uuid>
required

The bot to apply templates to

templates
object[]
required

Array of templates to apply with their variable values (max 50)

Required array length: 1 - 50 elements

Response

Response containing the batch job ID

success
enum<boolean>
required
Available options:
true
data
object
required